---
search:
  tags:
    - customers
    - POST
seo:
  description: >-
    Create customer signal. Reference for the POST
    /workspaces/{organizationId}/customers/{id}/signals endpoint in the Pile
    API.
sidebar:
  label: Create customer signal
  badge: POST
title: Create customer signal
type: openapi-operation
---
`POST /workspaces/{organizationId}/customers/{id}/signals`

**Request body** (`application/json`)

- `type` (string)
- `source` (string)
- `evidenceUrl` (string<uri>, required)
- `strength` (number)
- `summary` (string)
- `observedAt` (string)
- `html` (string)

Request body example:

```json
{
  "type": "string",
  "source": "agent",
  "evidenceUrl": "http://example.com",
  "strength": 80,
  "summary": "string",
  "observedAt": "string",
  "html": "string"
}
```

**Responses**

- `201` — Recorded signal and recomputed merchant rank
- `404` — Customer not found

Response example, 201:

```json
{
  "signal": {
    "property1": null,
    "property2": null
  },
  "breakdown": {
    "property1": null,
    "property2": null
  },
  "waterfall": [
    "string"
  ]
}
```
